POS Discount Manager Approval

by
Odoo
v 14.0 Third Party 480
Download for v 14.0 Deploy on Odoo.sh
Availability
Odoo Online
Odoo.sh
On Premise
Odoo Apps Dependencies Employees (hr)
Point of Sale (point_of_sale)
Discuss (mail)
Inventory (stock)
Invoicing (account)
Lines of code 245
Technical Name pos_discount_manager
LicenseAGPL-3
Websitehttp://www.cybrosys.com
Versions 15.0 16.0 14.0
You bought this module and need support? Click here!
Availability
Odoo Online
Odoo.sh
On Premise
Odoo Apps Dependencies Employees (hr)
Point of Sale (point_of_sale)
Discuss (mail)
Inventory (stock)
Invoicing (account)
Lines of code 245
Technical Name pos_discount_manager
LicenseAGPL-3
Websitehttp://www.cybrosys.com
Versions 15.0 16.0 14.0
cybrosys-logo

Point of Sale Discount Manager Approval

Discount limit for each employee in every point of sale

Key Highlights

  • Discount limits for employee.
  • Manager approval over the discount limit.

Overview


This module sets discount limit for each employee by manager. And manager approval over the discount limit by employee.

Point of Sale Discount Manager Approval


  • Sets discount limit for each employee.
  • Manager Can Set the PIN
  • Manager pin needed for approving the discount given by the employee.

Screenshots


Suggested Products


Our Service


Odoo Customization

Odoo Implementation

Odoo Integration

Odoo Support

Hire Odoo Developers

Our Industries


Odoo Industry

Trading

Easily procure and sell your products.

Odoo Industry

Manufacturing

Plan, track and schedule your operations.

Odoo Industry

Restaurant

Run your bar or restaurant methodical.

Odoo Industry

POS

Easy configuring and convivial selling.

Odoo Industry

E-commerce & Website

Mobile friendly, awe-inspiring product pages.

Odoo Industry

Hotel Management

An all-inclusive hotel management application.

Odoo Industry

Education

A Collaborative platform for educational management.

Odoo Industry

Service Management

Keep track of services and invoice accordingly.

Need Any Help?


If you have anything to share with us based on your use of this module, please let us know. We are ready to offer our support.

Email us

odoo@cybrosys.com

Contact Us

www.cybrosys.com

Please log in to comment on this module

  • The author can leave a single reply to each comment.
  • This section is meant to ask simple questions or leave a rating. Every report of a problem experienced while using the module should be addressed to the author directly (refer to the following point).
  • If you want to start a discussion with the author, please use the developer contact information. They can usually be found in the description.
Please choose a rating from 1 to 5 for this module.
There are no ratings yet!
error
by
Felix Asenji
on 5/4/22, 11:37 PM

Error:

Odoo Server Error


Traceback (most recent call last):

  File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_http.py", line 237, in _dispatch

    result = request.dispatch()

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 685, in dispatch

    result = self._call_function(**self.params)

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 361, in _call_function

    return checked_call(self.db, *args, **kwargs)

  File "/usr/lib/python3/dist-packages/odoo/service/model.py", line 94, in wrapper

    return f(dbname, *args, **kwargs)

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 349, in checked_call

    result = self.endpoint(*a, **kw)

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 914, in __call__

    return self.method(*args, **kw)

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 533, in response_wrap

    response = f(*args, **kw)

  File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 1394, in call_kw

    return self._call_kw(model, method, args, kwargs)

  File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 1386, in _call_kw

    return call_kw(request.env[model], method, args, kwargs)

  File "/usr/lib/python3/dist-packages/odoo/api.py", line 395, in call_kw

    result = _call_kw_model(method, model, args, kwargs)

  File "/usr/lib/python3/dist-packages/odoo/api.py", line 368, in _call_kw_model

    result = method(recs, *args, **kwargs)

  File "/usr/lib/python3/dist-packages/odoo/models.py", line 4859, in search_read

    result = records.read(fields)

  File "/usr/lib/python3/dist-packages/odoo/models.py", line 3022, in read

    return self._read_format(fnames=fields, load=load)

  File "/usr/lib/python3/dist-packages/odoo/models.py", line 3042, in _read_format

    vals[name] = convert(record[name], record, use_name_get)

  File "/usr/lib/python3/dist-packages/odoo/models.py", line 5686, in __getitem__

    return self._fields[key].__get__(self, type(self))

  File "/usr/lib/python3/dist-packages/odoo/fields.py", line 2485, in __get__

    return super().__get__(records, owner)

  File "/usr/lib/python3/dist-packages/odoo/fields.py", line 1062, in __get__

    return self.convert_to_record(value, record)

  File "/usr/lib/python3/dist-packages/odoo/fields.py", line 2961, in convert_to_record

    corecords = corecords.filtered(Comodel._active_name).with_prefetch(prefetch_ids)

  File "/usr/lib/python3/dist-packages/odoo/models.py", line 5300, in filtered

    self.mapped(name)

  File "/usr/lib/python3/dist-packages/odoo/models.py", line 5262, in mapped

    recs = recs._fields[name].mapped(recs)

  File "/usr/lib/python3/dist-packages/odoo/fields.py", line 1088, in mapped

    self.__get__(first(remaining), type(remaining))

  File "/usr/lib/python3/dist-packages/odoo/fields.py", line 998, in __get__

    recs._fetch_field(self)

  File "/usr/lib/python3/dist-packages/odoo/models.py", line 3071, in _fetch_field

    self._read(fnames)

  File "/usr/lib/python3/dist-packages/odoo/addons/hr/models/hr_employee.py", line 135, in _read

    res = self.env['hr.employee.public'].browse(self.ids).read(fields)

  File "/usr/lib/python3/dist-packages/odoo/models.py", line 3011, in read

    raise ValueError("Invalid field %r on model %r" % (name, self._name))

Exception


The above exception was the direct cause of the following exception:


Traceback (most recent call last):

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 641, in _handle_exception

    return super(JsonRequest, self)._handle_exception(exception)

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 317, in _handle_exception

    raise exception.with_traceback(None) from new_cause

ValueError: Invalid field 'limited_discount' on model 'hr.employee.public'

Re: error
by
Cybrosys Technologies
on 5/6/22, 2:21 AM Author

Hi,
We are unable to reproduce the issue. Do you have any other custom modules? If any, please share more details about it. You can send an email to odoo@cybrosys.com


by
Oscar Mojica
on 4/8/22, 5:46 PM

I can share with you a test database. With admin user the test POS works but with the second user doesn`t work with any pos

user: admin | password: admin

second user: zaragoza@paqsa.com.mx | pass: 123
I can't attach a video here but if you can help me, I can sent you an email with it.

Re:
by
Cybrosys Technologies
on 4/11/22, 3:40 AM Author

Please send an email to odoo@cybrosys.com


...
by
Oscar Mojica
on 4/6/22, 5:49 PM

Hi 

I've posted an error whil open sessioon... do you have some ideae about my last message?


regards!

Re: ...
by
Cybrosys Technologies
on 4/8/22, 1:35 AM Author

As mentioned in the app index the limit can be set inside the users and the PIN can be mentioned for the manager this will need to be entered while validating the order if the discount applied exceeds the limit. And we tried to reproduce the bug that you faced but there's no such error while we tried to do it. So please provide more details regarding the issue.


Error while open pos session
by
Oscar Mojica
on 4/1/22, 6:27 PM

Hi

I have an error when pos is loading "Invalid field 'limit_discount' on model 'hr.employee.public'

With thee user administrator it work fine, but pos fail when I open session with another user.

This user on its employeee have de limit discount but not pin. What else I need to configure?


Please hope you can help me with this!


regards


by
Oscar Mojica
on 3/22/22, 4:51 PM

Hi


I've updated the module but still can't open a pos session.

This is the traceeback:

Traceback (most recent call last): File "/home/odoo/src/odoo/odoo/addons/base/models/ir_http.py", line 237, in _dispatch result = request.dispatch() File "/home/odoo/src/odoo/odoo/http.py", line 685, in dispatch result = self._call_function(**self.params) File "/home/odoo/src/odoo/odoo/http.py", line 361, in _call_function return checked_call(self.db, *args, **kwargs) File "/home/odoo/src/odoo/odoo/service/model.py", line 94, in wrapper return f(dbname, *args, **kwargs) File "/home/odoo/src/odoo/odoo/http.py", line 349, in checked_call result = self.endpoint(*a, **kw) File "/home/odoo/src/odoo/odoo/http.py", line 914, in __call__ return self.method(*args, **kw) File "/home/odoo/src/odoo/odoo/http.py", line 533, in response_wrap response = f(*args, **kw) File "/home/odoo/src/odoo/addons/web/controllers/main.py", line 1394, in call_kw return self._call_kw(model, method, args, kwargs) File "/home/odoo/src/odoo/addons/web/controllers/main.py", line 1386, in _call_kw return call_kw(request.env[model], method, args, kwargs) File "/home/odoo/src/odoo/odoo/api.py", line 395, in call_kw result = _call_kw_model(method, model, args, kwargs) File "/home/odoo/src/odoo/odoo/api.py", line 368, in _call_kw_model result = method(recs, *args, **kwargs) File "/home/odoo/src/odoo/odoo/models.py", line 4859, in search_read result = records.read(fields) File "/home/odoo/src/odoo/odoo/models.py", line 3022, in read return self._read_format(fnames=fields, load=load) File "/home/odoo/src/odoo/odoo/models.py", line 3042, in _read_format vals[name] = convert(record[name], record, use_name_get) File "/home/odoo/src/odoo/odoo/models.py", line 5686, in __getitem__ return self._fields[key].__get__(self, type(self)) File "/home/odoo/src/odoo/odoo/fields.py", line 2485, in __get__ return super().__get__(records, owner) File "/home/odoo/src/odoo/odoo/fields.py", line 1062, in __get__ return self.convert_to_record(value, record) File "/home/odoo/src/odoo/odoo/fields.py", line 2961, in convert_to_record corecords = corecords.filtered(Comodel._active_name).with_prefetch(prefetch_ids) File "/home/odoo/src/odoo/odoo/models.py", line 5300, in filtered self.mapped(name) File "/home/odoo/src/odoo/odoo/models.py", line 5262, in mapped recs = recs._fields[name].mapped(recs) File "/home/odoo/src/odoo/odoo/fields.py", line 1088, in mapped self.__get__(first(remaining), type(remaining)) File "/home/odoo/src/odoo/odoo/fields.py", line 998, in __get__ recs._fetch_field(self) File "/home/odoo/src/odoo/odoo/models.py", line 3071, in _fetch_field self._read(fnames) File "/home/odoo/src/odoo/addons/hr/models/hr_employee.py", line 135, in _read res = self.env['hr.employee.public'].browse(self.ids).read(fields) File "/home/odoo/src/odoo/odoo/models.py", line 3011, in read raise ValueError("Invalid field %r on model %r" % (name, self._name)) Exception The above exception was the direct cause of the following exception: Traceback (most recent call last): File "/home/odoo/src/odoo/odoo/http.py", line 641, in _handle_exception return super(JsonRequest, self)._handle_exception(exception) File "/home/odoo/src/odoo/odoo/http.py", line 317, in _handle_exception raise exception.with_traceback(None) from new_cause ValueError: Invalid field 'limited_discount' on model 'hr.employee.public'


Re:
by
Cybrosys Technologies
on 3/23/22, 1:49 AM Author

Did you restart the Odoo service after? 


by
Mohamed Essam
on 3/22/22, 3:35 PM
odoo.tools.convert.ParseError: while parsing None:3, somewhere inside


<data inherit_id="point_of_sale.assets"> <xpath expr="." position="inside"> <script type="text/javascript" src="/pos_discount_manager/static/src/js/DiscountButton.js"/> <script type="text/javascript" src="/pos_discount_manager/static/src/js/ValidateManager.js"/> </xpath> <xpath expr="//link[@id='pos-stylesheet']" position="after"> <link rel="stylesheet" href="/pos_discount_manager/static/src/css/popup_size.css"/> </xpath> </data>
Re:
by
Cybrosys Technologies
on 3/24/22, 6:00 AM Author

Are you trying to install in v15?


MOdule version 14.0.1.0.0
by
Oscar Mojica
on 3/14/22, 3:26 PM

Hi


I installed this module and i like it but I have some issues with some users at the moment I want to start POS. I see the versiono of the module i download in this page is 14.0.1.0.0 but in the manifest file it says 14.0.1.0.2 so  I wonder if you can help me with the new versiono to download.


regards!

Re: MOdule version 14.0.1.0.0
by
Cybrosys Technologies
on 3/17/22, 5:21 AM Author

We have fixed the issue. Please download again


by
Oscar Mojica
on 3/11/22, 11:39 AM

Hi

This week Odoo had some problems with uploading modules. At the same time we have trouble with deploy this app and merge in main data base. Odoo send to notice that some customizations or modules maybe have some errors. 

At the moment I deploy this module on any branch in odoo.sh it showing the legend "failed" in red. The logs says that the module didn't pass some odoo test.

Re:
by
Cybrosys Technologies
on 3/14/22, 12:18 AM Author

Thanks for informing us. We will look into this.


by
ali.aa.elnagar@gmail.com
on 10/29/21, 2:28 PM

thank you about the last fix 

i test it now 

but there is one last bug 

when the manager refuse to put his pin 

and the user back to change the discount 

the user can not change payment method 

even when he back to the order he can not delete any product or change the discount percent

please fix it 

(multi company scenario)

Re:
by
Cybrosys Technologies
on 11/3/21, 6:44 AM Author

Please get the latest version, We have updated the module


not working
by
ali.aa.elnagar@gmail.com
on 10/23/21, 2:03 PM

hello 

i try it and not working 

on administrator 

or user 

please fix it 

its great app

thank you

odoo14

Re: not working
by
Cybrosys Technologies
on 10/26/21, 12:19 AM Author

Thanks for reporting. Its fixed


i cant download the module
by
tolim
on 9/29/21, 12:37 AM


Re: i cant download the module
by
Cybrosys Technologies
on 9/29/21, 1:51 AM Author

Try after sometime.